# memory package

## `dynamicarray` module

TODO: rewrite this (verbatim from Brian 1.x), more efficiency

Exported members: `DynamicArray`, `DynamicArray1D`

Classes

`DynamicArray`(shape[, dtype, factor, ...]) | An N-dimensional dynamic array class

`DynamicArray1D`(shape[, dtype, factor, ...]) | Version of `DynamicArray` with specialised `resize` method designed to be more efficient.

Functions

`getslices`(shape[, from_start]) |